aboutsummaryrefslogtreecommitdiff
path: root/include/functions.sh
diff options
context:
space:
mode:
Diffstat (limited to 'include/functions.sh')
-rw-r--r--include/functions.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/include/functions.sh b/include/functions.sh
index bff8e13..b2a8b47 100644
--- a/include/functions.sh
+++ b/include/functions.sh
@@ -236,6 +236,18 @@ check_topology_files() {
return 0
}
+check_cpuhotplug_files() {
+
+ local dirpath=$CPU_PATH/$1
+ shift 1
+
+ for i in $@; do
+ check_file $i $dirpath || return 1
+ done
+
+ return 0
+}
+
save_governors() {
governors_backup=